package request

import (
	"git.rosy.net.cn/baseapi/platformapi/tao_vegetable/sdk/ability3156/domain"
	"git.rosy.net.cn/baseapi/platformapi/tao_vegetable/sdk/util"
)

type WdkWarehouseOrderCancelRequest struct {
	/*
	   取消请求     */
	CancelRequest *domain.WdkWarehouseOrderCancelCancelRequest `json:"cancel_request,omitempty" required:"false" `
}

func (s *WdkWarehouseOrderCancelRequest) SetCancelRequest(v domain.WdkWarehouseOrderCancelCancelRequest) *WdkWarehouseOrderCancelRequest {
	s.CancelRequest = &v
	return s
}

func (req *WdkWarehouseOrderCancelRequest) ToMap() map[string]interface{} {
	paramMap := make(map[string]interface{})
	if req.CancelRequest != nil {
		paramMap["cancel_request"] = util.ConvertStruct(*req.CancelRequest)
	}
	return paramMap
}

func (req *WdkWarehouseOrderCancelRequest) ToFileMap() map[string]interface{} {
	fileMap := make(map[string]interface{})
	return fileMap
}
